var pullToRefreshModule = require('nl.icept.pull2refresh');

var tableData = [
	{title: 'Row 1'},
	{title: 'Pull down to refresh'},
	{title: 'Row 3'}
];

var tableView = Titanium.UI.createTableView({
	data: tableData
});

Titanium.UI.currentWindow.add(tableView);

//PULL 2 REFRESH
pullToRefreshModule.addASyncPullRefreshToTableView(tableView, function() {
	setTimeout(function() {
		tableData.push({ title: 'Row ' + (tableData.length+1) });
		tableView.setData(tableData);
		
		//indicate the refresh is finished, since this is a async refresh
		tableView.refreshFinished();
	}, 2000);
});